## 0.0.42
* Added `SystemChromeHelpers`
---
## 0.0.41
* Fixed styling of previously added dialogs
---
## 0.0.40
* Added `showNativeTextInput` and `showNativeTextAreaInput`
* Added the above to `context_ext`
---
## 0.0.39
* Added `showNativeChoiceDialog` to `context_ext`
---
## 0.0.38
* Added `showNativeChoiceDialog`
---
## 0.0.37
* Added `String.appendCompanyToOrderID` helper
---
## 0.0.36
* Added `context.theme` and `context.textTheme` extension methods for BuildContext
---
## 0.0.35
* Fixed `DateTime.addDays()`
---
## 0.0.34
* Added `ScalerExt` to prevent warnings when trying to get the textScaleFactor from a TextScaler and also provide a method of scaling down by the current scale
* Added `Gap` widget which will take up the relevant space given for the current primary axis (while still allowing crossAxisSize if needed)
* Added `NoRender` widget which will return a non-null widget that will not be rendered at all by flutter vs just passing a dummy `Container` or `SizedBox`
* `matches(String pattern)` string extension 
* Added `ordinal` and `abbreviated` num to string extensions
* Added `addDays`, `addHours` `withTime`, `withTimeOfDay`, `startOfMonth`, `endOfMonth` and `format` extensions for `DateTime`
* Added `applyOpacity` color extension which will use withValues on newer flutter versions with a fallback to withOpacity on older versions
* Added `brandColors`, `navigator`, `mediaQuery` `screenSize`,`viewPadding`,`systemInsets`,`textScaler`,
`isDarkMode` and `isLightMode` as properties to `BuildContext` to prevent having to do `WhatYouWant.of(context)`
  * Also added the ability to call dialogs from `dialogs.dart` via `context.showNativeAlertMessage` to save typing  
---
## 0.0.33
* Updated `ScalableText` to scale more gracefully
---
## 0.0.32
* Added `ScalableText` widget
---
## 0.0.31
* Added `isEqual`, `truncateTime` and `isSameDate` extensions
---
## 0.0.30
* Added `applyWordSpacing` string extension
---
## 0.0.29
* Added `Debouncer` to the default imports via `consoledoctor_common.dart` ref
---
## 0.0.28
* Added `Debouncer` to account for baboons
---
## 0.0.27
* `toFormalName()` now ditches the regex approach due to Dart's capture logic being less than ideal
---
## 0.0.26
* Constrained `swapitbox.svg` to be a square svg
---
## 0.0.25
* Removed barcode lines from `unknown-scan.svg`
---
## 0.0.24
* Added `unknown-scan.svg`
---
## 0.0.23
* Added replacement for `pallet.svg` renamed original to `pallet-mono.svg`
---
## 0.0.22
* Added `StringExtensions.toFormalName()`
---
## 0.0.21
* `ListMapper` now forces a type on the Empty List ie: `<T>[]` 
---
## 0.0.20
* Added `pallet` icon
---
## 0.0.19
* Added `ListMapper`
---
## 0.0.18
* Fixed bad path for logos
---
## 0.0.17
* Added `ebay.svg`
* Refactored SVG classes to use their own inherited base path to prevent concat errors
---
## 0.0.16
* Added `dg-orb-mono.svg`
---
## 0.0.15
* Added icons to pubspec
---
## 0.0.14
* Fixed Icons SVG method access
---
## 0.0.13
* Added FaceID icon
---
## 0.0.12
* EnumByNameOrDefault now has optional params that force invariant matching as well as stripping symbols
---
## 0.0.11
* Added EnumByNameOrDefault extension which allows for safely getting an enum from string with a fallback ie `OTPLevel.values.byNameOrDefault('someVal', defaultVal: OTPLevel.dev)`
---
## 0.0.10
* Added DateTime extension to format the time in HH:mm:ss
---
## 0.0.9
* Added BrandColors.of(context) helper to get access to the matching palette for the brightness
## 0.0.8
* Added `dialogs.dart` which allows for quickly showing Alerts and Yes/No popups styled either natively or as material
## 0.0.7
* Added Auth models and interface for pin based auth
---
## 0.0.6
* StringUtils.defaultIfEmpty now does not use optional args speeding up usage
---
## 0.0.5
* Added .success and .failure methods to Response models
---
## 0.0.4
* Added SVG asset consts via CDCommonSVGs
---
## 0.0.3
* BugFix: SpacedColumn and SpacedRow 'spacing' param is now explicitly marked as a double to prevent type conversion errors
---
## 0.0.2
* Added ValidationUtils and helper functions
* StringUtils declare the return type if possible to prevent returning dynamic
---
## 0.0.1
* Initial Release