class CDCommonSVGs {
  static const String _basePath = 'packages/consoledoctor_common/assets/svg/';
  static const CDCommonSVGLogos logos = CDCommonSVGLogos();
  static const CDCommonSVGIcons icons = CDCommonSVGIcons();
}

class CDCommonSVGLogos {
  final String cdLogo;
  final String cdOrb;
  final String cdOrbAlt;
  final String dgLogo;
  final String dgLogoAlt;
  final String dgOrb;
  final String dgOrbAlt;
  final String dgOrbMono;
  final String dpdLogo;
  final String dpdLogoMono;
  final String dpdLogoWhiteText;
  final String ebayLogo;

  static const String _basePath = '${CDCommonSVGs._basePath}logos/';

  const CDCommonSVGLogos({
    this.cdLogo = '${_basePath}cd-logo.svg',
    this.cdOrb = '${_basePath}cd-orb.svg',
    this.cdOrbAlt = '${_basePath}cd-orb-alt.svg',
    this.dgLogo = '${_basePath}dg-logo.svg',
    this.dgLogoAlt = '${_basePath}dg-logo-alt.svg',
    this.dgOrb = '${_basePath}dg-orb.svg',
    this.dgOrbAlt = '${_basePath}dg-orb-alt.svg',
    this.dgOrbMono = '${_basePath}dg-orb-mono.svg',
    this.dpdLogo = '${_basePath}dpd-logo.svg',
    this.dpdLogoMono = '${_basePath}dpd-logo-mono.svg',
    this.dpdLogoWhiteText = '${_basePath}dpd-logo-white-text.svg',
    this.ebayLogo = '${_basePath}ebay.svg'
  });
}

class CDCommonSVGIcons {
  final String faceID;
  final String swapitBox;
  final String pallet;
  final String palletMono;
  final String unknownScan;

  static const String _basePath = '${CDCommonSVGs._basePath}icons/';

  const CDCommonSVGIcons({
    this.faceID = '${_basePath}faceid.svg',
    this.swapitBox = '${_basePath}swapitbox.svg',
    this.pallet = '${_basePath}pallet.svg',
    this.palletMono = '${_basePath}pallet-mono.svg',
    this.unknownScan = '${_basePath}unknown-scan.svg',
  });
}